import Route from '@ember/routing/route';
import fetch from 'fetch';
import { htmlSafe } from '@ember/template';
import ENV from 'gwt-frontend/config/environment';

export default class CommentaryArticleRoute extends Route {
  async model(params) {
    const response = await fetch(ENV.APP.hostUrl + '/api/v1/commentary/articles/' + params.article_id);
    const body = await response.text().then(function(text){
      return new htmlSafe(text);
    });
    return { body };
  }
}
